Bug 184452 - xend initscript doesn't print status
xend initscript doesn't print status
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks: 179599
  Show dependency treegraph
 
Reported: 2006-03-08 16:53 EST by Brian Brock
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 03:48:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Brock 2006-03-08 16:53:16 EST
Description of problem:
xend initscript gives nonstandard output

xen-3.0.1-3

`service xend <function>` gives no output, differing from other init scripts.

for example:

# service xend status
#
# service xend start
#

expecting output indicating success or failure
Comment 1 Daniel Veillard 2006-06-14 03:48:38 EDT
[ reclosing after data loss on bugzilla ]

Okay I tried to fix this, I commited the change in our spec file (3.0.2-7)
it builds manually but FC6 is closed so it may take a bit before reaching
Rawhide.
This seems to work here:
[root@laptop ~]# service xend status
xend is running
[root@laptop ~]# /etc/init.d/xend stop
Stopping xend:                                             [  OK  ]
[root@laptop ~]# service xend status
xend is stopped
[root@laptop ~]# /etc/init.d/xend start
Starting xend:                                             [  OK  ]
[root@laptop ~]#

Daniel

Note You need to log in before you can comment on or make changes to this bug.